%define name	php-bcmath
%define version 5.0.4

%define realname bcmath
%define modname bcmath
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 66_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://www.php.net
BuildRequires:	php-devel >= 5.0.4
BuildRoot:	%{_tmppath}/%{name}-root

%description
This is a dynamic shared object (DSO) for PHP that will add bc
style precision math functions support.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build

phpize
%configure2_5x \
    --with-%{modname}=%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- initial Mandriva package
